Bug 221672 - (pear-Net-POP3) Review Request: php-pear-Net-POP3 - Provides a POP3 class to access POP3 server
Review Request: php-pear-Net-POP3 - Provides a POP3 class to access POP3 server
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-01-05 18:07 EST by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-13 17:27:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2007-01-05 18:07:15 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Net-POP3.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Net-POP3-1.3.6-1.src.rpm

Description:
Provides a POP3 class to access POP3 server. Support all POP3 commands
including UIDL listings, APOP authentication, DIGEST-MD5 and CRAM-MD5 using
optional Auth_SASL package.
Comment 1 Kevin Fenzi 2007-01-13 00:32:27 EST
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (BSD)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
dad6200744d2c8f326fbec1f5e0c8249  Net_POP3-1.3.6.tgz
dad6200744d2c8f326fbec1f5e0c8249  Net_POP3-1.3.6.tgz.1
f2c485f9e2b306f5f75c7c71d373a26cad09667b  Net_POP3-1.3.6.tgz
f2c485f9e2b306f5f75c7c71d373a26cad09667b  Net_POP3-1.3.6.tgz.1
OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
OK - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
See below - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.  
OK - Should build on all supported archs
OK - Should have dist tag
OK - Should package latest version

Issues:

1. I don't think that:
Requires(hint): php-pear(Net_Auth_SASL) >= 1.0
is usable with any rpm shipped by Fedora. I suppose it just makes it a hard 
Requires. Perhaps just change that to a Requires? Also, I can't seem to find 
that requirement in yet, should that package be added?

2. rpmlint says:
W: php-pear-Net-POP3 no-documentation
Which I guess can be ignored, since upstream has had no docs.

3. The
/usr/share/pear/Net
directory doesn't seem to be owned by this package,
it seems owned by php-pear-Net-FTP.
Should that package be required? or should this package also
own that directory?
Comment 2 Christopher Stone 2007-01-13 16:11:56 EST
(In reply to comment #1)
> Issues:
> 
> 1. I don't think that:
> Requires(hint): php-pear(Net_Auth_SASL) >= 1.0
> is usable with any rpm shipped by Fedora. I suppose it just makes it a hard 
> Requires. Perhaps just change that to a Requires? Also, I can't seem to find 
> that requirement in yet, should that package be added?

Even though (hint) does not do anything right now, I use this for optional
packages.  I added it because the Summary on the web page:
"...using optional Auth_SASL package"


> 3. The
> /usr/share/pear/Net
> directory doesn't seem to be owned by this package,
> it seems owned by php-pear-Net-FTP.
> Should that package be required? or should this package also
> own that directory?

This package Requires php-pear(Net_Socket) >= 1.0 which should own the Net
directory.

> 

Comment 3 Christopher Stone 2007-01-13 16:13:48 EST
(In reply to comment #2)
> (In reply to comment #1)
> > Issues:
> > 
> > 1. I don't think that:
> > Requires(hint): php-pear(Net_Auth_SASL) >= 1.0
> > is usable with any rpm shipped by Fedora. I suppose it just makes it a hard 
> > Requires. Perhaps just change that to a Requires? Also, I can't seem to find 
> > that requirement in yet, should that package be added?
> 
> Even though (hint) does not do anything right now, I use this for optional
> packages.  I added it because the Summary on the web page:
> "...using optional Auth_SASL package"

Although this should read "Auth_SASL" not "Net_Auth_SASL".  I will fix this. 
Nice catch.
Comment 4 Christopher Stone 2007-01-13 16:16:17 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Net-POP3.spec
SRPM URL:
http://tkmame.retrogames.com/fedora-extras/php-pear-Net-POP3-1.3.6-2.src.rpm

%changelog
* Sat Jan 13 2007 Christopher Stone <chris.stone@gmail.com> 1.3.6-2
- Fix Requires for Auth_SASL
Comment 5 Kevin Fenzi 2007-01-13 16:30:28 EST
ok, that appears to fix up all the blockers I see.

This package is APPROVED. 

Don't forget to close this review request NEXTRELEASE once it's been imported 
and built. 

Comment 6 Christopher Stone 2007-01-13 17:27:53 EST
- Imported into CVS
- Entry added to owners.list
- built successfully for devel
- cvs sync request added for FC5/6

THANKS FOR THE REVIEW!
Comment 7 Christopher Stone 2007-04-30 22:27:24 EDT
Package Change Request
======================
Package Name: php-pear-Net-POP3
New Branches: EL-5

Note You need to log in before you can comment on or make changes to this bug.